### Class

# Clutter SnapConstraint

#### Description [src]

    final class Clutter.SnapConstraint : Clutter.Constraint
    {
      /* No available fields */
    }

A constraint snapping two actors together

`ClutterSnapConstraint` is a constraint the snaps the edges of two actors together, expanding the actor’s allocation if necessary.

An offset can be applied to the constraint, to provide spacing.

#### Ancestors

- ClutterConstraint
- ClutterActorMeta
- GInitiallyUnowned
- GObject

#### Constructors

###### clutter_snap_constraint_new

Creates a new `ClutterSnapConstraint` that will snap a `ClutterActor` to the `edge` of `source`, with the given `offset`.

#### Instance methods

###### clutter_snap_constraint_get_edges

Retrieves the edges used by the `constraint`.

###### clutter_snap_constraint_get_offset

Retrieves the offset set using `clutter_snap_constraint_set_offset()`.

###### clutter_snap_constraint_get_source

Retrieves the `ClutterActor` set using `clutter_snap_constraint_set_source()`.

###### clutter_snap_constraint_set_edges

Sets the edges to be used by the `constraint`.

###### clutter_snap_constraint_set_offset

Sets the offset to be applied to the constraint.

###### clutter_snap_constraint_set_source

Sets the source `ClutterActor` for the constraint.

##### Methods inherited from ClutterConstraint (1)

###### clutter_constraint_update_preferred_size

Asks the `constraint` to update the size request of a `ClutterActor`.

##### Methods inherited from ClutterActorMeta (5)

###### clutter_actor_meta_get_actor

Retrieves a pointer to the `ClutterActor` that owns `meta`.

###### clutter_actor_meta_get_enabled

Retrieves whether `meta` is enabled.

###### clutter_actor_meta_get_name

Retrieves the name set using `clutter_actor_meta_set_name()`.

###### clutter_actor_meta_set_enabled

Sets whether `meta` should be enabled or not.

###### clutter_actor_meta_set_name

Sets the name of `meta`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Clutter.SnapConstraint:from-edge

The edge of the `ClutterActor` that should be snapped.

###### Clutter.SnapConstraint:offset

The offset, in pixels, between `ClutterSnapConstraint:from-edge` and `ClutterSnapConstraint:to-edge`.

###### Clutter.SnapConstraint:source

The `ClutterActor` used as the source for the constraint.

###### Clutter.SnapConstraint:to-edge

The edge of the `ClutterSnapConstraint:source` that should be snapped.

##### Properties inherited from ClutterActorMeta (3)

###### Clutter.ActorMeta:actor

The `ClutterActor` attached to the `ClutterActorMeta` instance.

###### Clutter.ActorMeta:enabled

Whether or not the `ClutterActorMeta` is enabled.

###### Clutter.ActorMeta:name

The unique name to access the `ClutterActorMeta`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClutterSnapConstraintClass {
      ClutterConstraintClass parent_class;

    }

No description available.

###### Class members

`parent_class: ClutterConstraintClass`

  No description available.